Line Item Get Api
curl --request GET \
--url https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"unit_price": 123,
"amount": 123,
"flat_fee": 123,
"tax_rate": 123,
"tax_amount": 123,
"discount_amount": 123,
"discount_percent": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 1,
"currency": "USD",
"description": "<string>",
"tax_name": "<string>",
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"display_order": 123
}{}Invoice Line Items
Line Item Get Api
Retrieves a specific line item by UUID.
GET
/
api
/
v1
/
invoice
/
{invoice_uuid}
/
line-items
/
{line_item_uuid}
Line Item Get Api
curl --request GET \
--url https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"unit_price": 123,
"amount": 123,
"flat_fee": 123,
"tax_rate": 123,
"tax_amount": 123,
"discount_amount": 123,
"discount_percent": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 1,
"currency": "USD",
"description": "<string>",
"tax_name": "<string>",
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"display_order": 123
}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Line item retrieved successfully
Output schema for invoice line items with UUID for external API.
Maximum string length:
255Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Maximum string length:
3The description of the line item
Maximum string length:
255The date the service starts for the item
The date the service ends for the item
The order in which the line item will be displayed in the UI/pdf
Was this page helpful?
